Name:		mdk
Version:	1.2.8
Release:	1%{?dist}
Summary:	GNU MIX Development Kit

Group:		Applications/Emulators
License:	GPLv3+ and GFDL
URL:		http://www.gnu.org/software/mdk/
Source0:	http://ftp.gnu.org/gnu/mdk/v%{version}/%{name}-%{version}.tar.gz
Source1:	mdk.desktop
Patch0:		glib-deprecated.patch
Requires(post):	/sbin/install-info
Requires(preun): /sbin/install-info
BuildRequires:	guile-devel
BuildRequires:	libglade2-devel
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
BuildRequires:	readline-devel
BuildRequires:	ncurses-devel
BuildRequires:	intltool

%package	doc
Summary:	GNU MIX Development Kit Documentation and Samples
BuildArch:	noarch

%description
MDK stands for MIX Development Kit, and provides tools for developing
and executing, in a MIX virtual machine, MIXAL programs.

The MIX is Donald Knuth's mythical computer, described in the first
volume of The Art of Computer Programming, which is programmed using
MIXAL, the MIX assembly language.

MDK includes a MIXAL assembler (mixasm) and a MIX virtual machine
(mixvm) with a command line interface.  In addition, a GTK+ GUI to
mixvm, called gmixvm, is provided; and, in case you are an Emacs guy,
you can try misc/mixvm.el, which allows running mixvm inside an Emacs
GUD buffer.

Using these interfaces, you can debug your MIXAL programs at source
code level, and read/modify the contents of all the components of the
MIX computer (including block devices, which are simultated using the
file system).

%description doc
Samples and documentation for the MDK package.

%prep
%setup -q
%patch0 -p1
autoconf

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir
desktop-file-install \
	--dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
	%{SOURCE1}

%find_lang %{name}

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir 2>/dev/null || :

%preun
if [ $1 -eq 0 ] ; then
  /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir 2>/dev/null || :
fi

%files -f %{name}.lang
%doc AUTHORS COPYING README THANKS
%{_bindir}/mixasm
%{_bindir}/mixvm
%{_bindir}/gmixvm
%{_bindir}/mixguile
%{_datadir}/mdk
%{_infodir}/*
%{_datadir}/applications/mdk.desktop

%files doc
%doc samples doc

%changelog
* Sat Aug 23 2014 Stjepan Gros <stjepan.gros@gmail.com> - 1.2.8-1
- Bump to a new upstream version
- Removed format specifier patch as it is applied upstream

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 21 2014 Filipe Rosset <rosset.filipe@gmail.com> - 1.2.7-3
- Fixes rhbz #1048604 and #1037194 plus spec cleanup

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Feb 26 2013 Stjepan Gros <stjepan.gros@gmail.com> - 1.2.7-1
- Bump to a new upstream version
- GCompletition is deprecated and disabled by default so a flag was added to enable it
- Removed TODO packaging

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.2.5-4
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Nov 15 2009 Stjepan Gros <stjepan.gros@gmail.com> - 1.2.5-2
- Added missing BR

* Sun Oct 18 2009 Stjepan Gros <stjepan.gros@gmail.com> - 1.2.5-1
- Updated to a new upstream version

* Wed Sep 16 2009 Stjepan Gros <stjepan.gros@gmail.com> - 1.2.4-2
- Added desktop file
- Changed licence from GPLv3 to GPLv3+
- Documentation and samples are now in separate package
- Removed unnecessary build requires

* Mon Dec 29 2008 Stjepan Gros <stjepan.gros@gmail.com> - 1.2.4-1
- Initial package
